| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::SystemSettings Class Reference

## Public Types
enum | ProxyType { HttpProxy = 0 , Socks5Proxy }
| This enum is used to specify the proxy that is used. More...

## Public Member Functions
| SystemSettings (const QString &name)
void | applyProxySettings ()
QString | getFacesEnginePath () const
void | saveSettings ()

## Public Attributes
bool | dnnOpenCLTested = false
bool | enableAesthetic = false
bool | enableAIAutoTools = false
bool | enableAutoTags = false
bool | enableDnnOpenCL = false
bool | enableFaceEngine = false
bool | enableHWTConv = false
bool | enableHWVideo = false
bool | enableLogging = false
bool | enableOpenCL = false
QString | facesEnginePath
bool | proxyAuth = false
QString | proxyPass
int | proxyPort = 8080
int | proxyType = HttpProxy
QString | proxyUrl
QString | proxyUser
bool | softwareOpenGL = false
QString | videoBackend = QLatin1String("ffmpeg")

## Member Enumeration Documentation

## ◆ ProxyType

enum Digikam::SystemSettings::ProxyType

Enumerator
HttpProxy | Uses an Http proxy.
Socks5Proxy | Uses a Socks5 proxy.